struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rmanchu <rman...@gmail.com>
Subject struts 1.3 compile
Date Mon, 02 May 2005 20:10:41 GMT

i think i've mixed up my servlet.api (v2.3 downloaded from sun after a 
slight mishap) or something. cannot compile struts src downloaded 1 hour 
ago, gives me this ONE error :(


compile.library:
     [javac] Compiling 45 source files to 
C:\struts-core-1.3.0-dev\target\library\classes
     [javac] 
C:\struts-core-1.3.0-dev\src\share\org\apache\struts\mock\MockPageCo
ntext.java:59: org.apache.struts.mock.MockPageContext is not abstract 
and does not override abstract method include(java.lang.String,boolean) 
in javax.servlet.jsp.PageContext
     [javac] public class MockPageContext extends PageContext {
     [javac]        ^
     [javac] Note: * uses or overrides a deprecated API.
     [javac] Note: Recompile with -Xlint:deprecation for details.
     [javac] Note: Some input files use unchecked or unsafe operations.
     [javac] Note: Recompile with -Xlint:unchecked for details.
     [javac] 1 error

BUILD FAILED
C:\struts-core-1.3.0-dev\build.xml:302: Compile failed; see the compiler 
error output for details.



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message